Bug 1168612: don't spoil the exit status with a trap function; r=mrrrgn

--HG--
extra : rebase_source : daf3b03ae83e8025bdca09aa6fa3489b554e1348
This commit is contained in:
Dustin J. Mitchell 2015-05-29 12:58:07 -04:00
parent ba86c51ed4
commit 30135e0844

View File

@ -68,7 +68,9 @@ if [[ -z ${MOZHARNESS_SCRIPT} ]]; then exit 1; fi
if [[ -z ${MOZHARNESS_CONFIG} ]]; then exit 1; fi
cleanup() {
[ -n "$xvfb_pid" ] && kill $xvfb_pid
if [ -n "$xvfb_pid" ]; then
kill $xvfb_pid || true
fi
}
trap cleanup EXIT INT